Skip to main content
GET
/
transfers
/
{id}
Fetch a Transfer
curl --request GET \
  --url https://api.flutterwave.com/v3/transfers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Transfer fetched",
  "data": {
    "id": 621922,
    "account_number": "0690000040",
    "bank_code": "044",
    "full_name": "Alexis Sanchez",
    "created_at": "2024-03-18T08:58:30.000Z",
    "currency": "NGN",
    "debit_currency": "NGN",
    "amount": 500,
    "fee": 10.75,
    "status": "SUCCESSFUL",
    "reference": "akhlm-pstmnpyt-rfxx078_PMCKDU_1",
    "meta": null,
    "narration": "Akhlm Pstmn Trnsfr xx007",
    "approver": null,
    "complete_message": "Successful",
    "requires_approval": 0,
    "is_approved": 1,
    "bank_name": "ACCESS BANK NIGERIA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

status
string
required
message
string
required
data
Data36 · object
required
Example:
{
"id": 621922,
"account_number": "0690000040",
"bank_code": "044",
"full_name": "Alexis Sanchez",
"created_at": "2024-03-18T08:58:30.000Z",
"currency": "NGN",
"debit_currency": "NGN",
"amount": 500,
"fee": 10.75,
"status": "SUCCESSFUL",
"reference": "akhlm-pstmnpyt-rfxx078_PMCKDU_1",
"meta": null,
"narration": "Akhlm Pstmn Trnsfr xx007",
"approver": null,
"complete_message": "Successful",
"requires_approval": 0,
"is_approved": 1,
"bank_name": "ACCESS BANK NIGERIA"
}